package chatRoom.client.view;
import javax.swing.*;
import java.awt.*;

public class ChatRoomGUI extends JFrame{
    private final String WINDOWS_TITLE = "AUT Chat Room";
    private final int WIDTH = 500, HEIGHT = 500;
    private final int X = 100, Y = 100;
    private chatArea chatBox;
    private MessageArea messageArea;
    private ParticipantsArea participantsArea;
    private String userName;

    public ChatRoomGUI() {
        super();
        this.setTitle(WINDOWS_TITLE);
        this.setLayout(new BorderLayout());
        this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        this.setSize(WIDTH, HEIGHT);
        this.setLocation(X, Y);

        chatBox = new chatArea();
        this.add(new JScrollPane(chatBox), BorderLayout.CENTER);

        messageArea = new MessageArea(this);
        this.add(messageArea,BorderLayout.SOUTH);

        participantsArea = new ParticipantsArea();
        this.add(new JScrollPane(participantsArea),BorderLayout.WEST);

        this.setVisible(true);
    }
    public void addNewMessage(String pm) {
        chatBox.addMessage(userName, pm);
    }

    public void resetMessageText() {
        messageArea.reset();
    }

    public void addNewParticipant(String userName){
        participantsArea.addNewParticipant(userName);
        this.userName = userName;
    }

}